Subject: Re: NNCP road warrior

From: Sergey Matveev <[email-masked]>
Date: Sat, 8 Jan 2022 14:12:37 +0300

Greetings!

*** John Goerzen [2022-01-06 14:54]:
>One is Yggdrasil network, https://yggdrasil-network.github.io/

That thing was great, when I looked at it last time! But I never
participated in its global overlay network.

I love the whole idea beneath cjdns: just create overlay network, with
encryption and convenient IPv6 addresses, nothing more, no anonymity
preservation, that would destroy all performance.

However when I joined Hyperboria network, then it segfaulted on my
FreeBSD at random times: possibly after ten seconds, possibly after
several hours. It was stable only outside Hyperboria. Probably it was
stable on GNU/Linux-es.

I like Yggdrasil because it is written on Go and have never seen any
fault with it, like it was happening with cjdns in Hyperboria. I thought
about using it as a VPN replacement, but because it works on top of TCP,
I abandoned that idea (efficiency questions).

>A sort of third option is Tor.

Also another option is I2P, that is much more serious network, but its
performance, at least because of smaller anonymity set (number of
participants in the whole network), is worse.

>This doesn't resolve EVERY use case -- for instance, if my home box is
>down and I still want to get backups out by sending some stuff via
>something else -- but it does help, I think.

Appears that the problem you are trying to solve is just the lack of
availability of some computers over the Internet. And the root of the
problem is still staying alive IPv4 with all that NATs among us. IPv6
gives globally routable addresses, that you would reach anywhere. Also
IPv6 committee thought and designed Mobile IPv6, that is pretty
efficient (it uses special IPsec-authenticated ICMPv6 packets and
extended headers for redirection to mobile address), but currently there
are no usable implementation in OSes out of box.

Because of increasing rates of IPv6 adoption (more that 35% of the whole
traffic in Internet is sent over IPv6, and, if I am not mistaken, more
than a half of traffic in USA is IPv6) all of that is just a question of
time when people will get the "real" Internet where arbitrary computer
can connect with another arbitrary computer.

But currently we have to use some workarounds indeed, like VPNs and
overlay networks.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF